%global momorel 4

Summary: enhanced gettext po file editor
Name: gtranslator
Version: 1.9.11
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.9/%{name}-%{version}.tar.bz2 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gtranslator.sourceforge.net/

Requires(post): desktop-file-utils rarian GConf2
Requires(preun): GConf2
Requires(pre): GConf2
Requires(postun): desktop-file-utils rarian

BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: GConf2-devel
BuildRequires: gtksourceview2-devel
BuildRequires: glib2-devel
BuildRequires: libgdl-devel >= 2.28.0
BuildRequires: gtkspell-devel
BuildRequires: libsoup-devel
BuildRequires: gnome-utils-devel
BuildRequires: gucharmap-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: neon-devel
BuildRequires: subversion-devel >= 1.6.3-2m
BuildRequires: db4-devel >= 4.8.26-1m

%description
Gtranslator is an enhanced gettext po file editor for the GNOME
desktop environment. It handles all forms of gettext po files and
include very useful features like Find/Replace, Translation Memory,
different Translator Profiles, Messages Table (for having an overview
of the translations/messages in the po file), Easy Navigation and
Editing of translation messages & comments of the translation where
accurate. Gtranslator includes also a plugin system with many
interesting plugins like Alternate Language, Insert Tags, Open Tran,
Integration with Subversion, Source Code Viewer ...

%package devel
Summary: gEdit include files for plugins.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtksourceview2-devel

%description devel
gEdit plugins include files.

%prep
%setup -q

%build
%configure --enable-silent-rules \
    --disable-static \
    --disable-scrollkeeper \
    --enable-gtk-doc \
    --disable-schemas-install \
    --with-gtkspell \
    --with-dictionary
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install UPDATE_DESKTOP=:

%clean
rm -rf --preserve-root %{buildroot}

%post
update-desktop-database -q 2> /dev/null || :
rarian-sk-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gtranslator.schemas \
    >& /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gtranslator.schemas \
	>& /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gtranslator.schemas \
	>& /dev/null || :
fi

%postun
update-desktop-database -q 2> /dev/null || :
rarian-sk-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog ChangeLog-* HACKING NEWS README THANKS
%{_sysconfdir}/gconf/schemas/gtranslator.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/*/*

%files devel
%defattr(-, root, root)
%{_includedir}/gtranslator-2.0
%{_libdir}/pkgconfig/gtranslator.pc
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.11-4m)
- full rebuild for mo7 release

* Sun Aug 22 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.11-2m)
- fix update-desktop-database

* Mon Jul 26 2010 Masahiro Takahata <takahata@momonga-linux.org>
- (1.9.11-2m)
- change BuildRequires: libgdl-devel

* Thu May 13 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.11-1m)
- update to 1.9.11

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.6-5m)
- use BuildRequires and Requires

* Thu Feb  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.6-4m)
- rebuild against db-4.8.26

* Wed Dec 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.6-3m)
- build fix

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.6-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.6-2m)
- add patch1 (for pixmap)

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.6-1m)
- update to 1.9.6

* Sun Aug 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.5-3m)
- add ja patch

* Mon Aug  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.5-2m)
- rebuild against subversion-1.6.3-2m

* Sat Apr 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.5-1m)
- initial build
